"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const internal_clients_1 = require("@jfrog-pipelines/internal-clients");
const ApiStepServiceDataAdapter_1 = require("../../../acl/stepService/ApiStepServiceDataAdapter");
jest.mock('@jfrog-pipelines/configuration', () => {
    return {
        ConfigFactory: { config: { apiToken: 'apitoken' } }
    };
});
const stepId = 1;
const stepMock = {
    id: stepId,
    isConsoleArchived: true
};
const stepletsMock = [
    {
        id: 1,
        isConsoleArchived: true
    },
    {
        id: 2,
        isConsoleArchived: true
    }
];
describe('Step Service Adapter', () => {
    const adapter = new ApiStepServiceDataAdapter_1.ApiStepServiceDataAdapter();
    it('should return step from given id', async () => {
        const getStepByIdSpy = jest
            .spyOn(internal_clients_1.PipelinesClient.prototype, 'getStepById')
            .mockResolvedValue(stepMock);
        const step = await adapter.getStepById(stepId);
        expect(getStepByIdSpy).toHaveBeenCalledTimes(1);
        expect(getStepByIdSpy).toHaveBeenCalledWith(stepId);
        expect(step).toEqual(stepMock);
    });
    it('should return steplets from given stepId', async () => {
        const queryString = `stepIds=${stepId}&limit=1000&skip=0`;
        const getStepletsSpy = jest.spyOn(internal_clients_1.PipelinesClient.prototype, 'getSteplets').mockResolvedValue(stepletsMock);
        const steplets = await adapter.getStepletsByStepId(stepId);
        expect(getStepletsSpy).toHaveBeenCalledWith(queryString);
        expect(getStepletsSpy).toHaveBeenCalledTimes(1);
        expect(steplets).toEqual(stepletsMock);
    });
});
//# sourceMappingURL=ApiStepServiceDataAdapter.test.js.map