"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StepServiceDataAdapterFactory_1 = require("../../../acl/stepService/StepServiceDataAdapterFactory");
jest.mock('@jfrog-pipelines/configuration', () => {
    return {
        ConfigFactory: { config: { apiToken: 'apitoken' } }
    };
});
describe('StepServiceDataAdapterFactory', () => {
    it('should create the adapter with type api', () => {
        const adapter = StepServiceDataAdapterFactory_1.StepServiceDataAdapterFactory.create(StepServiceDataAdapterFactory_1.StepServiceDI.api);
        expect(adapter).toBeDefined();
    });
    it('should throw error if invalid stepservice di is passed', () => {
        expect(() => StepServiceDataAdapterFactory_1.StepServiceDataAdapterFactory.create(StepServiceDataAdapterFactory_1.StepServiceDI.database)).toThrow('Invalid Type provided');
    });
});
//# sourceMappingURL=StepServiceDataAdapterFactory.test.js.map