"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiStepServiceDataAdapter = void 0;
const internal_clients_1 = require("@jfrog-pipelines//internal-clients");
const configuration_1 = require("@jfrog-pipelines/configuration");
class ApiStepServiceDataAdapter {
    constructor() {
        this.properties = configuration_1.ConfigFactory.config;
        this.pipelineClient = new internal_clients_1.PipelinesClient(17, this.properties.apiToken);
    }
    getStepById(stepId) {
        return this.pipelineClient.getStepById(stepId);
    }
    async getStepletsByStepId(stepId) {
        let allSteplets = [];
        let fetchedSteplets = [];
        const fetchLimit = 1000;
        let skip = 0;
        do {
            const queryString = `stepIds=${stepId}&limit=${fetchLimit}&skip=${skip}`;
            fetchedSteplets = await this.pipelineClient.getSteplets(queryString);
            allSteplets = [...allSteplets, ...fetchedSteplets];
            skip = skip + fetchedSteplets.length;
        } while (fetchedSteplets.length === fetchLimit);
        return fetchedSteplets;
    }
}
exports.ApiStepServiceDataAdapter = ApiStepServiceDataAdapter;
//# sourceMappingURL=ApiStepServiceDataAdapter.js.map