"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const microservice_1 = require("@jfrog-pipelines/microservice");
const data_access_layer_1 = require("@jfrog-pipelines/data-access-layer");
const LogWorker_1 = require("./LogWorker");
const logLevel = 'info';
const QUEUE_NAME = 'core.logService';
const store = microservice_1.applicationContext;
const serviceEnum = 17;
const options = {
    enum: serviceEnum,
    isAccessEnabled: true,
    initializers: [new microservice_1.ApiCheckInitializer(serviceEnum)],
    healthChecks: [],
    logLevel: logLevel,
    models: [data_access_layer_1.StepletConsole, data_access_layer_1.StepConsole],
    validator: new microservice_1.DefaultApplicationValidator([], [])
};
async function startApp() {
    const app = new microservice_1.Application(options, store);
    const worker = new LogWorker_1.LogWorker();
    await app.listen(QUEUE_NAME, worker);
}
startApp();
//# sourceMappingURL=app.js.map