import { CommandHandler } from '@jfrog-pipelines/microservice';
import { IPipelinesLogger } from '@jfrog-pipelines/types';
import { ArchiveCommand } from './ArchiveCommand';
export declare type LogEventDataType = {
    domain: string;
    eventType: string;
    status: string;
    stepId: number;
    durationMillis: number;
    stepConsoleCount?: number;
    stepletConsoleCount?: number;
    deletedStepletConsole?: number;
    deletedStepConsole?: number;
};
export declare class WebConsoleArchiveCommandHandler implements CommandHandler {
    private readonly stepServiceRepository;
    private readonly stepConsoleRepository;
    private readonly stepletConsoleRepository;
    private readonly eventLogger;
    constructor(eventLogger: IPipelinesLogger);
    handle(command: ArchiveCommand): Promise<void>;
    private deleteStepArchivedConsole;
    private deleteStepletArchivedConsole;
    private isStepArchived;
    private deleteStepConsoleByStepId;
    private getStepletsByStepId;
    private deleteStepletConsoleByStepletId;
    private logEvent;
}
